var util = {
	getById: function (elementId) {
		return document.getElementById(elementId);
	},
	getByTagName: function(tagName){
		return document.getElementsByTagName(tagName);
	},
	getByClassName: function(className){
		return document.getElementsByClassName(className)[0];
	},
	isNull: function(obj){
	    return obj === null || typeof obj === 'undefined';
	},
	isEmpty: function(text){
        return !/\S+/.test(text);
    },
	isNotEmpty: function(text){
	    return /\S+/.test(text);
	}
};

function send(obj){
    window.bridge.send(JSON.stringify(obj));
}

function getVerifyImage(type){
    var img = $('.J_ValidOneForm').find('.J_ImgCodeView').find('img')[0];
    var canvas = document.createElement("canvas");
    var context = canvas.getContext("2d");
    canvas.width = img.width;
    canvas.height = img.height;
    context.drawImage(img, 0, 0, img.width, img.height);
    var data = canvas.toDataURL();
    var array = data.split(',');
    if(array.length > 1){
        send({ type: type, data: array[1] });
    }
}

function getVerifyImageForLoaded(type){
    $('.J_ValidOneForm').find('.J_ImgCodeView').find('img').load(function(){
        getVerifyImage(type);
    });
}

function refreshImage(){
    $('.J_ValidOneForm').find('.J_ImgCodeView').find('a').click();
    getVerifyImageForLoaded('2');
}

function setImageCode(mobile, code){
    if(code.length > 2){
        refreshImage();
        send({ type: '3', data: '图片验证码错误或已失效，请重新输入计算结果' });
        return;
    }
    $('#J_PhoneOne').val(mobile).focus().blur();
    var imgCode = $("#J_ImgCodeOne");
    imgCode.val(code).focus().blur();
    $('#J_MsgCodeOne').focus().blur();
}

function login(code){
    if(code.length < 6){
        send({ type: '3', data: '短信验证码不正确' });
        return;
    }
    var msgCode = $('#J_MsgCodeOne');
    msgCode.val(code).focus().blur();
    var image_code = $('#J_MsgCodeOne').val();
    if(util.isEmpty(image_code) && util.isNotEmpty(code)){
        send({ type: '3', data: '短信验证码不正确' });
        return;
    }
    $('.J_ValidOneForm').find('.login-submit').click();
}

function clearValues(){
    $('#J_ImgCodeOne,#J_MsgCodeOne').val('');
}

$(function(){
    $('.J_Tabs').find('li.fr').click();
    $(document).ajaxSuccess(function(event, xhr, settings) {
    	if(util.isNull(settings) || util.isEmpty(settings.url)){
    		return;
    	}
    	if(util.isNull(xhr) || util.isEmpty(xhr.responseText)){
    		return;
    	}
    	var result_obj = eval('(' + xhr.responseText + ')');
    	if(util.isNull(result_obj)){
    		return;
    	}
    	if(settings.url.indexOf('https://passport.migu.cn/captcha/graph/check') > -1 ){
    		if(result_obj.status != 2000){
    			getVerifyImageForLoaded('2');
    			send({ type: '3', data: result_obj.message, status: 2, code_type: 1 });
    		}
    	}
    	else if(settings.url.indexOf('https://passport.migu.cn/login/dynamicpassword') > -1 ){
    		if(result_obj.status != 2000){
    			getVerifyImageForLoaded('2');
    			send({ type: '3', data: result_obj.message, status: 2, code_type: 1 });
    		}
    		else{
    			send({ type: '3', data: '短信已发送，请注意查收', status: 1, code_type: 1 });
    		}
    	}
    	else if(settings.url.indexOf('https://passport.migu.cn/authn') > -1 ){
    		if(result_obj.status != 2000){
    			getVerifyImageForLoaded('2');
    			send({ type: '3', data: result_obj.message, status: 2, code_type: 2 });
    		}
    		else{
    		    send({ type: '3', data: '', status: 1, code_type: 2 });
    		}
    	}
    });
});